Arch Gitter

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Grid and the translation is 50% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский
Arrow-left.svg Arch Axis System.svg Achsensystem Vorherige:
Nächste: Dach Arch Roof.svg Arrow-right.svg

Arch Grid.svg Arch Gitter

Menüeintrag
Arch → Achsenwerkzeuge → Gitter
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch Achse, Arch AchsenSystem

Beschreibung

Das Arch Grid.svg Arch Gitter Werkzeug Werkzeug ermöglicht es dir, ein gitterartiges Objekt im Dokument zu platzieren. Dieses Objekt soll als Basis für die Erstellung von Arch Objekten dienen, die einen regelmäßigen, aber komplexen Rahmen benötigen, wie z.B. Fenster, Vorhangfassaden, Säulengitter, Geländer usw. Das Gitterobjekt ist wie eine Tabellenkalkulation bearbeitbar, in der du Spalten und Zeilen hinzufügst oder entfernst, ihre Größe definierst und Zellen zusammenführen kannst.

Das Gitter ist ein 2D Objekt und kann daher überall dort verwendet werden, wo eine 2D Form wie z.B. eine Entwurf oder Skizze benötigt wird, es kann sich aber auch wie ein Arch AchsenSystem verhalten und dazu verwendet werden, die Positionierung anderer Arch Objekte zu verbreiten.

Arch Grid example.jpg

Eine Anordnung von Säulen, ein Geländersystem und ein Fenster, die jeweils auf einem Arch Gitter Objekt basieren.

Anwendung

  1. Drücke die Arch Grid.svg Arch Gitter Taste.
  2. # Lege die Breite und Höhe des Gitters in den Eigenschaften fest.
  3. Wechsle in den Bearbeitungsmodus durch doppelklick des Gitterobjekts in der Baumansicht.
  4. Füge Zeilen und Spalten hinzu.
  5. Stelle die gewünschte Breite und Höhe der Zeilen und Spalten ein, indem du auf die Zeilen- oder Spaltenüberschriften doppelklickst.

Optionen

  • Eine Spaltenbreite oder Zeilenhöhe von 0 bedeutet, dass die Größe automatisch an die Gesamtbreite/-höhe des Gitters angepasst wird.
  • Zellen können zusammengeführt und wieder getrennt werden, indem sie ausgewählt und auf die entsprechende Schaltfläche geklickt wird.
  • Bei Verwendung als DataAchsen Eigenschaft anderer Arch Objekte steuert das Gitter die Positionierung dieser Objekte. Die DataPunkteausgabe Eigenschaft definiert, wie die anderen Objekte auf dem Gitter platziert werden: An Knotenpunkten, Kantenmittelpunkten oder Flächenmittelpunkten.
  • Durch festlegen der DataAuto Höhe oder DataAuto Breite Eigenschaften auf einen Wert ungleich Null zu setzen, ignoriert die Gesamtzahl der Zeilen/Spalten und ihre individuellen Höhen/Breiten. Stattdessen wird automatisch die maximale Anzahl von Spalten oder Zeilen der angegebenen Auto Breite/Höhe erzeugt.

Eigenschaften

  • DataZeilen: Die Anzahl der Zeilen
  • DataSpalten: Die Anzahl der Spalten
  • DataZeilengröße: Die Größen für Zeilen
  • DataSpaltengröße: Die Größen für Spalten
  • DataPunkte Ausgabe: Die Typ der von diesem Gitterobjekt erzeugten 3D Punkte
  • DataBreite: Die Gesamtbreite dieses Gitters
  • DataHöhe: Die Gesamthöhe dieses Gitters
  • DataAuto Breite: Erstellt automatische Spalteneinteilungen (zum Deaktivieren auf 0 gesetzt)
  • DataAuto Höhe: Erstellt automatische Zeileneinteilungen (zum Deaktivieren auf 0 gesetzt)
  • DataNeuausrichten: Wenn sich dieses Gitter im Kantenmittelpunkt Modus befindet, muss es seine Kinder entlang der Kantennormalen neu ausrichten oder nicht
  • DataAusgeblendete Flächen: Die Indizes der ausgeblendeten Flächen

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Gitter Werkzeug kann in Makros und von der Python Konsole aus durch folgende Funktion verwendet werden:

Grid = makeGrid(name="Grid")
  • Erstellt ein Gitter Objekt.

Seine Breite, Höhe, Zeilen, und Spalten Attribute können direkt geändert werden, um das Aussehen des Gitters festzulegen.

import FreeCAD, Draft, Arch
Grid = Arch.makeGrid()

Grid.Width = 5000
Grid.Height = 5000
Grid.Rows = 4
Grid.Columns = 6
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = Grid
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Axis System.svg Achsensystem Vorherige:
Nächste: Dach Arch Roof.svg Arrow-right.svg